package dao

import (
	"github.com/sirupsen/logrus"
	"youngee_b_api/app/entity"
)

type LocalLifeBriefDao struct{}

func (p LocalLifeBriefDao) DeleteLocalBriefByLocalId(localId string) error {
	err := Db.Where("local_id = ?", localId).Delete(entity.LocalLifeBrief{}).Error
	if err != nil {
		return err
	}
	return nil
}

func (p LocalLifeBriefDao) CreateLocalBrief(briefInfo entity.LocalLifeBrief) error {
	err := Db.Create(&briefInfo).Error
	if err != nil {
		return err
	}
	return nil
}

func (p LocalLifeBriefDao) GetLocalBriefInfo(localId string) ([]*entity.LocalLifeBrief, error) {
	var localBriefInfos []*entity.LocalLifeBrief
	err := Db.Model(entity.LocalLifeBrief{}).Where("local_id = ?", localId).Order("created_at asc").Find(&localBriefInfos).Error
	if err != nil {
		logrus.Errorf("[GetLocalBriefInfo] error query mysql, err:%+v", err)
		return nil, err
	}
	return localBriefInfos, nil
}
